# Uses of Enum Class
org.eclipse.emf.cdo.CDOState

Packages that use CDOState
Package
Description
org.eclipse.emf.cdo
Client concepts like `CDOObject` and `CDOState`.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.internal.cdo
Exposes `CDOObjectImpl` for extension in generated EMF models.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOState in org.eclipse.emf.cdo

Methods in org.eclipse.emf.cdo that return CDOState
Modifier and Type
Method
Description
`CDOState`
CDOObject.`cdoState()`
Returns the local `state` of this object.
`CDOState`
CDOElement.StateProvider.`getState(Object object)`
`static CDOState`
CDOState.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOState[]`
CDOState.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of CDOState in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDOState
Modifier and Type
Method
Description
`CDOState`
CDOViewEventProducer.CDOObjectStateChangedEvent.`getNewState()`
`CDOState`
CDOViewEventProducer.CDOObjectStateChangedEvent.`getOldState()`
Methods in org.eclipse.emf.cdo.view with parameters of type CDOState
Modifier and Type
Method
Description
`void`
CDOObjectHandler.`objectStateChanged(CDOView view, CDOObject object, CDOState oldState, CDOState newState)`
`void`
CDOStaleReferencePolicy.DynamicProxy.Enhanced.`objectStateChanged(CDOView view, CDOObject object, CDOState oldState, CDOState newState)`

## Uses of CDOState in org.eclipse.emf.internal.cdo

Methods in org.eclipse.emf.internal.cdo that return CDOState
Modifier and Type
Method
Description
`final CDOState`
CDOObjectImpl.`cdoInternalSetState(CDOState state)`
`final CDOState`
CDOObjectImpl.`cdoState()`
Methods in org.eclipse.emf.internal.cdo with parameters of type CDOState
Modifier and Type
Method
Description
`final CDOState`
CDOObjectImpl.`cdoInternalSetState(CDOState state)`

## Uses of CDOState in org.eclipse.emf.spi.cdo

Fields in org.eclipse.emf.spi.cdo declared as CDOState
Modifier and Type
Field
Description
`final CDOState`
InternalCDOView.ViewAndState.`state`
Methods in org.eclipse.emf.spi.cdo that return CDOState
Modifier and Type
Method
Description
`CDOState`
InternalCDOObject.`cdoInternalSetState(CDOState state)`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOState
Modifier and Type
Method
Description
`CDOState`
InternalCDOObject.`cdoInternalSetState(CDOState state)`
`InternalCDOView.ViewAndState`
InternalCDOView.`getViewAndState(CDOState state)`
`InternalCDOView.ViewAndState`
InternalCDOView.ViewAndState.`getViewAndState(CDOState state)`
`void`
InternalCDOView.`handleObjectStateChanged(InternalCDOObject object, CDOState oldState, CDOState newState)`
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDOState
Modifier
Constructor
Description
``
`ViewAndState(InternalCDOView view, CDOState state)`